#! /bin/sh /usr/share/dpatch/dpatch-run
## 02_fix_soversioning.dpatch by  <pgquiles@elpauer.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Upstream forgot to bump soversion in 3.1.4, 3.1.5 and did it wrongly
## DP: for 3.1.6 but I talked to them and hopefully 3.1.6 will have it fixed

@DPATCH@

diff -rupd wt-3.1.6.orig/CMakeLists.txt wt-3.1.6/CMakeLists.txt
--- wt-3.1.6.orig/CMakeLists.txt	2010-09-22 16:27:52.064339773 +0200
+++ wt-3.1.6/CMakeLists.txt	2010-09-22 16:28:12.620360760 +0200
@@ -15,14 +15,14 @@ SET(VERSION_SERIES 3)
 SET(VERSION_MAJOR 1)
 SET(VERSION_MINOR 6)
 
-SET(WT_SOVERSION 25)
-SET(WTEXT_SOVERSION 25)
-SET(WTHTTP_SOVERSION 24)
-SET(WTFCGI_SOVERSION 24)
-SET(WTISAPI_SOVERSION 2)
-SET(WTDBO_SOVERSION 24)
-SET(WTDBOSQLITE3_SOVERSION 24)
-SET(WTDBOPOSTGRES_SOVERSION 24)
+SET(WT_SOVERSION 25)
+SET(WTEXT_SOVERSION 25)
+SET(WTHTTP_SOVERSION 25)
+SET(WTFCGI_SOVERSION 25)
+SET(WTISAPI_SOVERSION 3)
+SET(WTDBO_SOVERSION 25)
+SET(WTDBOSQLITE3_SOVERSION 25)
+SET(WTDBOPOSTGRES_SOVERSION 25)
 
 #
 # Various things that must be configured by the user or packager ...
